<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF8225=59</action>
    </script>
  </cheat>

  <cheat desc="Finish this Scene Now!">
    <script state="on">
      <action>maincpu.pb@FF81F3=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF8471=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Health PL1">
    <script state="run">
      <action>maincpu.pb@FF83C1=65</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special PL1">
    <script state="run">
      <action>maincpu.pw@FF840B=0040</action>
    </script>
  </cheat>

  <cheat desc="Infinite Super PL1">
    <script state="run">
      <action>maincpu.pb@FF842F=E4</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF83CC=01</action>
      <action>maincpu.pb@FF83F0=10</action>
      <action>maincpu.pb@FF841F=00</action>
      <action>maincpu.pb@FF8429=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon on Pickup PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF83DA)+FF0061)=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1"> <comment>Switch weapons during the IDLE STANCE to avoid crashing the game and use it when you are holding a Weapon. Use it with the 'Infinite Weapon on Pickup' and don't throw any Hand Grenades to minimise losing your Weapon.</comment>
    <parameter>
      <item value="0x00">Combi-Stick</item>
      <item value="0x01">Naginata</item>
      <item value="0x02">Katana</item>
      <item value="0x03">Pulse Gun</item>
      <item value="0x04">Knife</item>
      <item value="0x05">Pipe</item>
      <item value="0x06">Hand Grenade</item>
      <item value="0x07">Flamer</item>
      <item value="0x08">Grenade Launcher</item>
      <item value="0x09">Metal Mace</item>
      <item value="0x0C">Disc (Maybe buggy)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF83DA)+FF0002)=param</action> <!-- Predator Hunter's standard weapon -->
    </script>
  </cheat>

  <cheat desc="Select Rapid Fire - Punch PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Fast</item>
      <item value="0x03">Unlimited</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FF846E=00|(maincpu.pb@FF846E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF846E=param|(maincpu.pb@FF846E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF83AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF846E=00|(maincpu.pb@FF846E BAND ~20)</action>
      <action condition="(param==03)">maincpu.pb@FF83AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF8401=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weapon PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF846E=00|(maincpu.pb@FF846E BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF8571=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Health PL2">
    <script state="run">
      <action>maincpu.pb@FF84C1=65</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special PL2">
    <script state="run">
      <action>maincpu.pw@FF850B=0040</action>
    </script>
  </cheat>

  <cheat desc="Infinite Super PL2">
    <script state="run">
      <action>maincpu.pb@FF852F=E4</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF84CC=01</action>
      <action>maincpu.pb@FF84F0=10</action>
      <action>maincpu.pb@FF851F=00</action>
      <action>maincpu.pb@FF8529=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon on Pickup PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF84DA)+FF0061)=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2"> <comment>Switch weapons during the IDLE STANCE to avoid crashing the game and use it when you are holding a Weapon. Use it with the 'Infinite Weapon on Pickup' and don't throw any Hand Grenades to minimise losing your Weapon.</comment>
    <parameter>
      <item value="0x00">Combi-Stick</item>
      <item value="0x01">Naginata</item>
      <item value="0x02">Katana</item>
      <item value="0x03">Pulse Gun</item>
      <item value="0x04">Knife</item>
      <item value="0x05">Pipe</item>
      <item value="0x06">Hand Grenade</item>
      <item value="0x07">Flamer</item>
      <item value="0x08">Grenade Launcher</item>
      <item value="0x09">Metal Mace</item>
      <item value="0x0C">Disc (Maybe buggy)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF84DA)+FF0002)=param</action> <!-- Predator Hunter's standard weapon -->
    </script>
  </cheat>

  <cheat desc="Select Rapid Fire - Punch PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Fast</item>
      <item value="0x03">Unlimited</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FF856E=00|(maincpu.pb@FF856E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF856E=param|(maincpu.pb@FF856E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF84AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF856E=00|(maincpu.pb@FF856E BAND ~20)</action>
      <action condition="(param==03)">maincpu.pb@FF84AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF8501=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weapon PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF856E=00|(maincpu.pb@FF856E BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@FF8671=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Health PL3">
    <script state="run">
      <action>maincpu.pb@FF85C1=65</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special PL3">
    <script state="run">
      <action>maincpu.pw@FF860B=0040</action>
    </script>
  </cheat>

  <cheat desc="Infinite Super PL3">
    <script state="run">
      <action>maincpu.pb@FF862F=E4</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@FF85CC=01</action>
      <action>maincpu.pb@FF85F0=10</action>
      <action>maincpu.pb@FF861F=00</action>
      <action>maincpu.pb@FF8629=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon on Pickup PL3">
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF85DA)+FF0061)=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL3"> <comment>Switch weapons during the IDLE STANCE to avoid crashing the game and use it when you are holding a Weapon. Use it with the 'Infinite Weapon on Pickup' and don't throw any Hand Grenades to minimise losing your Weapon.</comment>
    <parameter>
      <item value="0x00">Combi-Stick</item>
      <item value="0x01">Naginata</item>
      <item value="0x02">Katana</item>
      <item value="0x03">Pulse Gun</item>
      <item value="0x04">Knife</item>
      <item value="0x05">Pipe</item>
      <item value="0x06">Hand Grenade</item>
      <item value="0x07">Flamer</item>
      <item value="0x08">Grenade Launcher</item>
      <item value="0x09">Metal Mace</item>
      <item value="0x0C">Disc (Maybe buggy)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@FF85DA)+FF0002)=param</action> <!-- Predator Hunter's standard weapon -->
    </script>
  </cheat>

  <cheat desc="Select Rapid Fire - Punch PL3"> <comment>Turn it OFF on the name entry screen</comment>
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Fast</item>
      <item value="0x03">Unlimited</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FF866E=00|(maincpu.pb@FF866E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF866E=param|(maincpu.pb@FF866E BAND ~20)</action>
      <action condition="(param==02)">maincpu.pb@FF85AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF866E=00|(maincpu.pb@FF866E BAND ~20)</action>
      <action condition="(param==03)">maincpu.pb@FF85AC=00</action>
      <action condition="(param==03)">maincpu.pb@FF8601=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weapon PL3"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@FF866E=00|(maincpu.pb@FF866E BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>audiocpu.pw@F018=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x02">USA</item>
      <item value="0x04">Hispanic</item>
      <item value="0x06">Asia</item>
      <item value="0x08">Euro</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF81C9=param</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="629" step="1"/>
    <script state="change">
      <action>audiocpu.pw@F007=0000</action>
      <action>audiocpu.pq@F100=0000FF0000FF00FF</action>
      <action>audiocpu.pq@F108=00FFFF0000000000</action>
      <action>audiocpu.pq@F110=1000F00000FF0000</action>
      <action>audiocpu.pq@F118=00FFFF0000000000</action>
      <action condition="(param LT 100)">audiocpu.pb@F111=param</action>
      <action>temp0=param/100</action>
      <action condition="(param GE 100)">audiocpu.pb@F110=temp0</action>
      <action condition="(param GE 100)">audiocpu.pb@F111=param-(temp0*100)</action>
      <action>audiocpu.pb@F007=20</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
